ResourceManagerClient¶
- class oci.resource_manager.ResourceManagerClient(config, **kwargs)¶
Use the Resource Manager API to automate deployment and operations for all Oracle Cloud Infrastructure resources. Using the infrastructure-as-code (IaC) model, the service is based on Terraform, an open source industry standard that lets DevOps engineers develop and deploy their infrastructure anywhere. For more information, see [the Resource Manager documentation](/iaas/Content/ResourceManager/home.htm).
Methods:
__init__(config, **kwargs)Creates a new service client
cancel_job(job_id, **kwargs)Indicates the intention to cancel the specified job.
Moves a configuration source provider into a different compartment within the same tenancy.
Moves a private endpoint to a different compartment within the same tenancy.
change_stack_compartment(stack_id, ...)Moves a stack (and its associated jobs) into a different compartment within the same tenancy.
change_template_compartment(template_id, ...)Moves a template into a different compartment within the same tenancy.
Creates a configuration source provider in the specified compartment.
create_job(create_job_details, **kwargs)Creates a job.
Creates a private endpoint in the specified compartment.
create_stack(create_stack_details, **kwargs)Creates a stack in the specified compartment.
create_template(create_template_details, ...)Creates a private template in the specified compartment.
Deletes the specified configuration source provider.
delete_private_endpoint(private_endpoint_id, ...)Deletes the specified private endpoint.
delete_stack(stack_id, **kwargs)Deletes the specified stack.
delete_template(template_id, **kwargs)Deletes the specified template.
detect_stack_drift(stack_id, **kwargs)Checks drift status for the specified stack.
Gets the properties of the specified configuration source provider.
get_job(job_id, **kwargs)Gets the properties of the specified job.
get_job_detailed_log_content(job_id, **kwargs)Returns the Terraform detailed log content for the specified job in plain text.
get_job_logs(job_id, **kwargs)Returns console log entries for the specified job in JSON format.
get_job_logs_content(job_id, **kwargs)Returns the raw log file for the specified job in text format.
get_job_tf_config(job_id, **kwargs)Returns the Terraform configuration for the specified job in zip format.
get_job_tf_plan(job_id, **kwargs)Returns the output of the specified Terraform plan job in binary or JSON format.
get_job_tf_state(job_id, **kwargs)Returns the Terraform state for the specified job.
get_private_endpoint(private_endpoint_id, ...)Gets the specified private endpoint.
get_reachable_ip(private_ip, ...)Gets the reachable, or alternative, IP address for a nonpublic IP address that is associated with the private endpoint.
get_stack(stack_id, **kwargs)Gets the specified stack.
get_stack_tf_config(stack_id, **kwargs)Returns the Terraform configuration file for the specified stack in zip format.
get_stack_tf_state(stack_id, **kwargs)Returns the Terraform state for the specified stack.
get_template(template_id, **kwargs)Gets the specified template.
get_template_logo(template_id, **kwargs)Returns the Terraform logo file in .logo format for the specified template.
get_template_tf_config(template_id, **kwargs)Returns the Terraform configuration file in zip format for the specified template.
get_work_request(work_request_id, **kwargs)Returns the specified work request.
Returns console log entries for the specified work request in JSON format.
Returns the raw log file for the specified work request in text format.
list_configuration_source_providers(**kwargs)Lists configuration source providers according to the specified filter.
list_job_associated_resources(job_id, **kwargs)Gets the list of resources associated with the specified job.
list_job_outputs(job_id, **kwargs)Gets the list of outputs associated with the specified job.
list_jobs(**kwargs)Lists jobs according to the specified filter.
list_private_endpoints(**kwargs)Lists private endpoints according to the specified filter.
list_resource_discovery_services(**kwargs)Returns a list of supported services for `Resource Discovery`__.
list_stack_associated_resources(stack_id, ...)Gets the list of resources associated with the specified stack.
list_stack_resource_drift_details(stack_id, ...)Lists drift status details for each resource defined in the specified stack.
list_stacks(**kwargs)Lists stacks according to the specified filter.
list_template_categories(**kwargs)Lists template categories.
list_templates(**kwargs)Lists templates according to the specified filter.
list_terraform_versions(**kwargs)Returns a list of supported Terraform versions for use with stacks.
list_work_request_errors(work_request_id, ...)Returns a paginated list of errors for the specified work request.
list_work_request_logs(work_request_id, **kwargs)Returns a paginated list of logs for the specified work request.
list_work_requests(compartment_id, **kwargs)Lists the work requests in the specified compartment or for the specified resource.
Updates the properties of the specified configuration source provider.
update_job(job_id, update_job_details, **kwargs)Updates the specified job.
update_private_endpoint(private_endpoint_id, ...)Updates the specified private endpoint.
update_stack(stack_id, update_stack_details, ...)Updates the specified stack.
update_template(template_id, ...)Updates the specified template.
- __init__(config, **kwargs)¶
Creates a new service client
- Parameters
config (dict) – Configuration keys and values as per SDK and Tool Configuration. The
from_file()method can be used to load configuration from a file. Alternatively, adictcan be passed. You can validate_config the dict usingvalidate_config()service_endpoint (str) – (optional) The endpoint of the service to call using this client. For example
https://iaas.us-ashburn-1.oraclecloud.com. If this keyword argument is not provided then it will be derived using the region in the config parameter. You should only provide this keyword argument if you have an explicit need to specify a service endpoint.timeout (float or tuple(float, float)) – (optional) The connection and read timeouts for the client. The default values are connection timeout 10 seconds and read timeout 60 seconds. This keyword argument can be provided as a single float, in which case the value provided is used for both the read and connection timeouts, or as a tuple of two floats. If a tuple is provided then the first value is used as the connection timeout and the second value as the read timeout.
signer (
AbstractBaseSigner) –(optional) The signer to use when signing requests made by the service client. The default is to use a
Signerbased on the values provided in the config parameter.One use case for this parameter is for Instance Principals authentication by passing an instance of
InstancePrincipalsSecurityTokenSigneras the value for this keyword argumentretry_strategy (obj) –
(optional) A retry strategy to apply to all calls made by this service client (i.e. at the client level). There is no retry strategy applied by default. Retry strategies can also be applied at the operation level by passing a
retry_strategykeyword argument as part of calling the operation. Any value provided at the operation level will override whatever is specified at the client level.This should be one of the strategies available in the
retrymodule. A convenienceDEFAULT_RETRY_STRATEGYis also available. The specifics of the default retry strategy are described here.circuit_breaker_strategy (obj) – (optional) A circuit breaker strategy to apply to all calls made by this service client (i.e. at the client level). This client uses
DEFAULT_CIRCUIT_BREAKER_STRATEGYas default if no circuit breaker strategy is provided. The specifics of circuit breaker strategy are described here.circuit_breaker_callback (function) – (optional) Callback function to receive any exceptions triggerred by the circuit breaker.
client_level_realm_specific_endpoint_template_enabled (bool) – (optional) A boolean flag to indicate whether or not this client should be created with realm specific endpoint template enabled or disable. By default, this will be set as None.
allow_control_chars – (optional) allow_control_chars is a boolean to indicate whether or not this client should allow control characters in the response object. By default, the client will not allow control characters to be in the response object.
enable_strict_url_encoding – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this client should enable strict url encoding in path params of a request. By default, the client will not enable strict url encoding
- cancel_job(job_id, **kwargs)¶
Indicates the intention to cancel the specified job. Cancellation of the job is not immediate, and may be delayed, or may not happen at all. You can optionally choose forced cancellation by setting isForced to true. A forced cancellation can result in an incorrect state file. For example, the state file might not reflect the exact state of the provisioned resources. For more information, see `Canceling a Job`__.
- Parameters
job_id (str) –
(required) The `OCID`__ of the job.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
is_forced (bool) – (optional) Indicates whether a forced cancellation is requested for the job while it was running. A forced cancellation can result in an incorrect state file. For example, the state file might not reflect the exact state of the provisioned resources.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use cancel_job API.
- change_configuration_source_provider_compartment(configuration_source_provider_id, change_configuration_source_provider_compartment_details, **kwargs)¶
Moves a configuration source provider into a different compartment within the same tenancy. For more information, see `Moving a Configuration Source Provider`__.
- Parameters
configuration_source_provider_id (str) –
(required) The `OCID`__ of the configuration source provider.
change_configuration_source_provider_compartment_details (oci.resource_manager.models.ChangeConfigurationSourceProviderCompartmentDetails) – (required) Defines the properties of changeConfigurationSourceProviderCompartment operation.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of retrying the same action. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request may be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use change_configuration_source_provider_compartment API.
- change_private_endpoint_compartment(private_endpoint_id, change_private_endpoint_compartment_details, **kwargs)¶
Moves a private endpoint to a different compartment within the same tenancy. For more information, see `Moving a Private Endpoint`__.
- Parameters
private_endpoint_id (str) –
(required) The `OCID`__ of the private endpoint.
change_private_endpoint_compartment_details (oci.resource_manager.models.ChangePrivateEndpointCompartmentDetails) – (required) Defines the properties of changePrivateEndpointCompartment operation.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of retrying the same action. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request may be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use change_private_endpoint_compartment API.
- change_stack_compartment(stack_id, change_stack_compartment_details, **kwargs)¶
Moves a stack (and its associated jobs) into a different compartment within the same tenancy. For more information, see `Moving a Stack`__.
- Parameters
stack_id (str) –
(required) The `OCID`__ of the stack.
change_stack_compartment_details (oci.resource_manager.models.ChangeStackCompartmentDetails) – (required) Defines the properties of changeStackCompartment operation.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of retrying the same action. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request may be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use change_stack_compartment API.
- change_template_compartment(template_id, change_template_compartment_details, **kwargs)¶
Moves a template into a different compartment within the same tenancy. For more information, see `Moving a Private Template`__.
- Parameters
template_id (str) –
(required) The `OCID`__ of the template.
change_template_compartment_details (oci.resource_manager.models.ChangeTemplateCompartmentDetails) – (required) The details for moving a template to a different compartment.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of retrying the same action. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request may be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use change_template_compartment API.
- create_configuration_source_provider(create_configuration_source_provider_details, **kwargs)¶
Creates a configuration source provider in the specified compartment. For more information, see `Creating a Configuration Source Provider`__.
- Parameters
create_configuration_source_provider_details (oci.resource_manager.models.CreateConfigurationSourceProviderDetails) – (required) The properties for creating a ConfigurationSourceProvider.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of retrying the same action. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request may be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeConfigurationSourceProvider- Return type
- Example
Click here to see an example of how to use create_configuration_source_provider API.
- create_job(create_job_details, **kwargs)¶
Creates a job. For more information, see `Creating a Job`__.
- Parameters
create_job_details (oci.resource_manager.models.CreateJobDetails) – (required) The properties for a request to create a job.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of retrying the same action. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request may be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use create_job API.
- create_private_endpoint(create_private_endpoint_details, **kwargs)¶
Creates a private endpoint in the specified compartment. For more information, see `Creating a Private Endpoint`__.
- Parameters
create_private_endpoint_details (oci.resource_manager.models.CreatePrivateEndpointDetails) – (required) Creation details for a private endpoint.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of retrying the same action. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request may be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typePrivateEndpoint- Return type
- Example
Click here to see an example of how to use create_private_endpoint API.
- create_stack(create_stack_details, **kwargs)¶
Creates a stack in the specified compartment. You can create a stack from a Terraform configuration. The Terraform configuration can be directly uploaded or referenced from a source code control system. You can also create a stack from an existing compartment, which generates a Terraform configuration. You can also upload the Terraform configuration from an Object Storage bucket. For more information, see `Creating a Stack`__.
- Parameters
create_stack_details (oci.resource_manager.models.CreateStackDetails) – (required) The properties for creating a stack.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of retrying the same action. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request may be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use create_stack API.
- create_template(create_template_details, **kwargs)¶
Creates a private template in the specified compartment. For more information, see `Creating a Private Template`__.
- Parameters
create_template_details (oci.resource_manager.models.CreateTemplateDetails) – (required) The configuration details for creating a template.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of retrying the same action. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request may be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use create_template API.
- delete_configuration_source_provider(configuration_source_provider_id, **kwargs)¶
Deletes the specified configuration source provider. For more information, see `Deleting a Configuration Source Provider`__.
- Parameters
configuration_source_provider_id (str) –
(required) The `OCID`__ of the configuration source provider.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_configuration_source_provider API.
- delete_private_endpoint(private_endpoint_id, **kwargs)¶
Deletes the specified private endpoint. For more information, see `Deleting a Private Endpoint`__.
- Parameters
private_endpoint_id (str) –
(required) The `OCID`__ of the private endpoint.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_private_endpoint API.
- delete_stack(stack_id, **kwargs)¶
Deletes the specified stack. For more information, see `Deleting a Stack`__.
- Parameters
stack_id (str) –
(required) The `OCID`__ of the stack.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_stack API.
- delete_template(template_id, **kwargs)¶
Deletes the specified template. For more information, see `Deleting a Private Template`__.
- Parameters
template_id (str) –
(required) The `OCID`__ of the template.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_template API.
- detect_stack_drift(stack_id, **kwargs)¶
Checks drift status for the specified stack. For more information, see `Detecting Drift`__.
- Parameters
stack_id (str) –
(required) The `OCID`__ of the stack.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of retrying the same action. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request may be rejected.
detect_stack_drift_details (oci.resource_manager.models.DetectStackDriftDetails) – (optional) The details for detecting drift in a stack
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use detect_stack_drift API.
- get_configuration_source_provider(configuration_source_provider_id, **kwargs)¶
Gets the properties of the specified configuration source provider. For more information, see `Getting a Configuration Source Provider's Details`__.
- Parameters
configuration_source_provider_id (str) –
(required) The `OCID`__ of the configuration source provider.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeConfigurationSourceProvider- Return type
- Example
Click here to see an example of how to use get_configuration_source_provider API.
- get_job(job_id, **kwargs)¶
Gets the properties of the specified job. For more information, see `Getting a Job's Details`__.
- Parameters
job_id (str) –
(required) The `OCID`__ of the job.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use get_job API.
- get_job_detailed_log_content(job_id, **kwargs)¶
Returns the Terraform detailed log content for the specified job in plain text. `Learn about Terraform detailed log.`__ For more information, see `Getting Detailed Log Content for a Job`__.
- Parameters
job_id (str) –
(required) The `OCID`__ of the job.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type str- Return type
- Example
Click here to see an example of how to use get_job_detailed_log_content API.
- get_job_logs(job_id, **kwargs)¶
Returns console log entries for the specified job in JSON format. For more information, see `Getting Logs for a Job`__.
- Parameters
job_id (str) –
(required) The `OCID`__ of the job.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
type (list[LogEntryType]) – (optional) A filter that returns only logs of a specified type.
level_greater_than_or_equal_to (str) –
(optional) A filter that returns only log entries that match a given severity level or greater.
Allowed values are: “TRACE”, “DEBUG”, “INFO”, “WARN”, “ERROR”, “FATAL”
sort_order (str) –
(optional) The sort order to use when sorting returned resources. Ascending (ASC) or descending (DESC).
Allowed values are: “ASC”, “DESC”
limit (int) –
(optional) The number of items returned in a paginated List call. For information about pagination, see `List Pagination`__.
page (str) –
(optional) The value of the opc-next-page response header from the preceding List call. For information about pagination, see `List Pagination`__.
timestamp_greater_than_or_equal_to (datetime) – (optional) Time stamp specifying the lower time limit for which logs are returned in a query. Format is defined by RFC3339. Example: 2020-01-01T12:00:00.000Z
timestamp_less_than_or_equal_to (datetime) – (optional) Time stamp specifying the upper time limit for which logs are returned in a query. Format is defined by RFC3339. Example: 2020-02-01T12:00:00.000Z
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use get_job_logs API.
- get_job_logs_content(job_id, **kwargs)¶
Returns the raw log file for the specified job in text format. The file includes a maximum of 100,000 log entries. For more information, see `Getting Logs Content for a Job`__.
- Parameters
job_id (str) –
(required) The `OCID`__ of the job.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type str- Return type
- Example
Click here to see an example of how to use get_job_logs_content API.
- get_job_tf_config(job_id, **kwargs)¶
Returns the Terraform configuration for the specified job in zip format. If no zip file is found, returns an error. For more information, see `Getting a Job Terraform Configuration`__.
- Parameters
job_id (str) –
(required) The `OCID`__ of the job.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type stream- Return type
- Example
Click here to see an example of how to use get_job_tf_config API.
- get_job_tf_plan(job_id, **kwargs)¶
Returns the output of the specified Terraform plan job in binary or JSON format. For more information, see `Getting the Terraform Output for a Plan Job`__.
- Parameters
job_id (str) –
(required) The `OCID`__ of the job.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
tf_plan_format (str) –
(optional) The output format of the Terraform plan.
Allowed values are: “BINARY”, “JSON”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type stream- Return type
- Example
Click here to see an example of how to use get_job_tf_plan API.
- get_job_tf_state(job_id, **kwargs)¶
Returns the Terraform state for the specified job. For more information, see `Getting a Job Terraform Configuration`__.
- Parameters
job_id (str) –
(required) The `OCID`__ of the job.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type stream- Return type
- Example
Click here to see an example of how to use get_job_tf_state API.
- get_private_endpoint(private_endpoint_id, **kwargs)¶
Gets the specified private endpoint. For more information, see `Getting a Private Endpoint's Details`__.
- Parameters
private_endpoint_id (str) –
(required) The `OCID`__ of the private endpoint.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typePrivateEndpoint- Return type
- Example
Click here to see an example of how to use get_private_endpoint API.
- get_reachable_ip(private_ip, private_endpoint_id, **kwargs)¶
Gets the reachable, or alternative, IP address for a nonpublic IP address that is associated with the private endpoint. Resource Manager uses this IP address to connect to nonpublic resources through the associated private endpoint. For more information, see `Getting the Reachable IP Address for a Private Endpoint`__.
- Parameters
private_ip (str) – (required) The IP address of the resource in the private subnet.
private_endpoint_id (str) –
(required) The `OCID`__ of the private endpoint.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of retrying the same action. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request may be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeReachableIp- Return type
- Example
Click here to see an example of how to use get_reachable_ip API.
- get_stack(stack_id, **kwargs)¶
Gets the specified stack. For more information, see `Getting a Stack's Details`__.
- Parameters
stack_id (str) –
(required) The `OCID`__ of the stack.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use get_stack API.
- get_stack_tf_config(stack_id, **kwargs)¶
Returns the Terraform configuration file for the specified stack in zip format. Returns an error if no zip file is found. For more information, see `Getting a Stack Terraform Configuration`__.
- Parameters
stack_id (str) –
(required) The `OCID`__ of the stack.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type stream- Return type
- Example
Click here to see an example of how to use get_stack_tf_config API.
- get_stack_tf_state(stack_id, **kwargs)¶
Returns the Terraform state for the specified stack. For more information, see `Getting a Stack State File`__.
- Parameters
stack_id (str) –
(required) The `OCID`__ of the stack.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type stream- Return type
- Example
Click here to see an example of how to use get_stack_tf_state API.
- get_template(template_id, **kwargs)¶
Gets the specified template. For more information, see `Getting a Private Template's Details`__.
- Parameters
template_id (str) –
(required) The `OCID`__ of the template.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use get_template API.
- get_template_logo(template_id, **kwargs)¶
Returns the Terraform logo file in .logo format for the specified template. Returns an error if no logo file is found. For more information, see `Getting a Private Template's Logo`__.
- Parameters
template_id (str) –
(required) The `OCID`__ of the template.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type stream- Return type
- Example
Click here to see an example of how to use get_template_logo API.
- get_template_tf_config(template_id, **kwargs)¶
Returns the Terraform configuration file in zip format for the specified template. Returns an error if no zip file is found. For more information, see `Getting a Private Template's Terraform Configuration`__.
- Parameters
template_id (str) –
(required) The `OCID`__ of the template.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type stream- Return type
- Example
Click here to see an example of how to use get_template_tf_config API.
- get_work_request(work_request_id, **kwargs)¶
Returns the specified work request. For more information, see `Getting a Work Request's Details`__.
- Parameters
work_request_id (str) –
(required) The `OCID`__ of the work request.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeWorkRequest- Return type
- Example
Click here to see an example of how to use get_work_request API.
- get_work_request_log_entries(work_request_id, **kwargs)¶
Returns console log entries for the specified work request in JSON format.
- Parameters
work_request_id (str) –
(required) The `OCID`__ of the work request.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
type (list[LogEntryType]) – (optional) A filter that returns only logs of a specified type.
level_greater_than_or_equal_to (str) –
(optional) A filter that returns only log entries that match a given severity level or greater.
Allowed values are: “TRACE”, “DEBUG”, “INFO”, “WARN”, “ERROR”, “FATAL”
sort_order (str) –
(optional) The sort order to use when sorting returned resources. Ascending (ASC) or descending (DESC).
Allowed values are: “ASC”, “DESC”
limit (int) –
(optional) The number of items returned in a paginated List call. For information about pagination, see `List Pagination`__.
page (str) –
(optional) The value of the opc-next-page response header from the preceding List call. For information about pagination, see `List Pagination`__.
timestamp_greater_than_or_equal_to (datetime) – (optional) Time stamp specifying the lower time limit for which logs are returned in a query. Format is defined by RFC3339. Example: 2020-01-01T12:00:00.000Z
timestamp_less_than_or_equal_to (datetime) – (optional) Time stamp specifying the upper time limit for which logs are returned in a query. Format is defined by RFC3339. Example: 2020-02-01T12:00:00.000Z
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeLogEntryCollection- Return type
- Example
Click here to see an example of how to use get_work_request_log_entries API.
- get_work_request_log_entries_content(work_request_id, **kwargs)¶
Returns the raw log file for the specified work request in text format. The file includes a maximum of 100,000 log entries.
- Parameters
work_request_id (str) –
(required) The `OCID`__ of the work request.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type str- Return type
- Example
Click here to see an example of how to use get_work_request_log_entries_content API.
- list_configuration_source_providers(**kwargs)¶
Lists configuration source providers according to the specified filter. For more information, see `Listing Configuration Source Providers`__. - For compartmentId, lists all configuration source providers in the matching compartment. - For configurationSourceProviderId, lists the matching configuration source provider.
- Parameters
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
compartment_id (str) –
(optional) A filter to return only resources that exist in the compartment, identified by `OCID`__.
configuration_source_provider_id (str) –
(optional) A filter to return only configuration source providers that match the provided `OCID`__.
display_name (str) – (optional) A filter to return only resources that match the given display name exactly. Use this filter to list a resource by name. Requires sortBy set to DISPLAYNAME. Alternatively, when you know the resource OCID, use the related Get operation.
sort_by (str) –
(optional) The field to use when sorting returned resources. By default, TIMECREATED is ordered descending. By default, DISPLAYNAME is ordered ascending. Note that you can sort only on one field.
Allowed values are: “TIMECREATED”, “DISPLAYNAME”
sort_order (str) –
(optional) The sort order to use when sorting returned resources. Ascending (ASC) or descending (DESC).
Allowed values are: “ASC”, “DESC”
limit (int) –
(optional) The number of items returned in a paginated List call. For information about pagination, see `List Pagination`__.
page (str) –
(optional) The value of the opc-next-page response header from the preceding List call. For information about pagination, see `List Pagination`__.
config_source_provider_type (str) – (optional) A filter to return only configuration source providers of the specified type (GitHub or GitLab).
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeConfigurationSourceProviderCollection- Return type
- Example
Click here to see an example of how to use list_configuration_source_providers API.
- list_job_associated_resources(job_id, **kwargs)¶
Gets the list of resources associated with the specified job. For more information, see `Listing Job Resources`__.
- Parameters
job_id (str) –
(required) The `OCID`__ of the job.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
compartment_id (str) –
(optional) A filter to return only resources that exist in the compartment, identified by `OCID`__.
terraform_resource_type (str) –
(optional) A filter to return only specified resource types. For more information about resource types supported for the Oracle Cloud Infrastructure `OCI] provider, see [Oracle Cloud Infrastructure Provider`__.
limit (int) –
(optional) The number of items returned in a paginated List call. For information about pagination, see `List Pagination`__.
page (str) –
(optional) The value of the opc-next-page response header from the preceding List call. For information about pagination, see `List Pagination`__.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAssociatedResourcesCollection- Return type
- Example
Click here to see an example of how to use list_job_associated_resources API.
- list_job_outputs(job_id, **kwargs)¶
Gets the list of outputs associated with the specified job. For more information, see `Listing Job Outputs`__.
- Parameters
job_id (str) –
(required) The `OCID`__ of the job.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
compartment_id (str) –
(optional) A filter to return only resources that exist in the compartment, identified by `OCID`__.
limit (int) –
(optional) The number of items returned in a paginated List call. For information about pagination, see `List Pagination`__.
page (str) –
(optional) The value of the opc-next-page response header from the preceding List call. For information about pagination, see `List Pagination`__.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeJobOutputsCollection- Return type
- Example
Click here to see an example of how to use list_job_outputs API.
- list_jobs(**kwargs)¶
Lists jobs according to the specified filter. By default, the list is ordered by time created. For more information, see `Listing Jobs`__.
To list all jobs in a stack, provide the stack `OCID`__.
To list all jobs in a compartment, provide the compartment `OCID`__.
To return a specific job, provide the job `OCID`__. (Equivalent to
get_stack().)
- Parameters
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
compartment_id (str) –
(optional) A filter to return only resources that exist in the compartment, identified by `OCID`__.
stack_id (str) –
(optional) The stack `OCID`__ on which to filter.
id (str) –
(optional) The `OCID`__ on which to query for jobs.
lifecycle_state (str) –
(optional) A filter that returns all resources that match the specified lifecycle state. The state value is case-insensitive.
Allowed values are: “ACCEPTED”, “IN_PROGRESS”, “FAILED”, “SUCCEEDED”, “CANCELING”, “CANCELED”
display_name (str) – (optional) A filter to return only resources that match the given display name exactly. Use this filter to list a resource by name. Requires sortBy set to DISPLAYNAME. Alternatively, when you know the resource OCID, use the related Get operation.
sort_by (str) –
(optional) The field to use when sorting returned resources. By default, TIMECREATED is ordered descending. By default, DISPLAYNAME is ordered ascending. Note that you can sort only on one field.
Allowed values are: “TIMECREATED”, “DISPLAYNAME”
sort_order (str) –
(optional) The sort order to use when sorting returned resources. Ascending (ASC) or descending (DESC).
Allowed values are: “ASC”, “DESC”
limit (int) –
(optional) The number of items returned in a paginated List call. For information about pagination, see `List Pagination`__.
page (str) –
(optional) The value of the opc-next-page response header from the preceding List call. For information about pagination, see `List Pagination`__.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type list ofJobSummary- Return type
- Example
Click here to see an example of how to use list_jobs API.
- list_private_endpoints(**kwargs)¶
Lists private endpoints according to the specified filter. For more information, see `Listing Private Endpoints`__. - For compartmentId, lists all private endpoints in the matching compartment. - For privateEndpointId, lists the matching private endpoint.
- Parameters
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
compartment_id (str) –
(optional) A filter to return only resources that exist in the compartment, identified by `OCID`__.
private_endpoint_id (str) –
(optional) The `OCID`__ of the private endpoint.
display_name (str) – (optional) A filter to return only resources that match the given display name exactly. Use this filter to list a resource by name. Requires sortBy set to DISPLAYNAME. Alternatively, when you know the resource OCID, use the related Get operation.
vcn_id (str) –
(optional) The `OCID`__ of the VCN.
sort_by (str) –
(optional) The field to use when sorting returned resources. By default, TIMECREATED is ordered descending. By default, DISPLAYNAME is ordered ascending. Note that you can sort only on one field.
Allowed values are: “TIMECREATED”, “DISPLAYNAME”
sort_order (str) –
(optional) The sort order to use when sorting returned resources. Ascending (ASC) or descending (DESC).
Allowed values are: “ASC”, “DESC”
limit (int) –
(optional) The number of items returned in a paginated List call. For information about pagination, see `List Pagination`__.
page (str) –
(optional) The value of the opc-next-page response header from the preceding List call. For information about pagination, see `List Pagination`__.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typePrivateEndpointCollection- Return type
- Example
Click here to see an example of how to use list_private_endpoints API.
- list_resource_discovery_services(**kwargs)¶
Returns a list of supported services for `Resource Discovery`__. For reference on service names, see the `Terraform provider documentation`__. For more information, see `Listing Resource Discovery Services`__.
- Parameters
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
compartment_id (str) –
(optional) A filter to return only resources that exist in the compartment, identified by `OCID`__.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeResourceDiscoveryServiceCollection- Return type
- Example
Click here to see an example of how to use list_resource_discovery_services API.
- list_stack_associated_resources(stack_id, **kwargs)¶
Gets the list of resources associated with the specified stack. For more information, see `Listing Stack Resources`__.
- Parameters
stack_id (str) –
(required) The `OCID`__ of the stack.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
terraform_resource_type (str) –
(optional) A filter to return only specified resource types. For more information about resource types supported for the Oracle Cloud Infrastructure `OCI] provider, see [Oracle Cloud Infrastructure Provider`__.
compartment_id (str) –
(optional) A filter to return only resources that exist in the compartment, identified by `OCID`__.
limit (int) –
(optional) The number of items returned in a paginated List call. For information about pagination, see `List Pagination`__.
page (str) –
(optional) The value of the opc-next-page response header from the preceding List call. For information about pagination, see `List Pagination`__.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAssociatedResourcesCollection- Return type
- Example
Click here to see an example of how to use list_stack_associated_resources API.
- list_stack_resource_drift_details(stack_id, **kwargs)¶
Lists drift status details for each resource defined in the specified stack. The drift status details for a given resource indicate differences, if any, between the actual state and the expected (defined) state for that resource. The drift status details correspond to the specified work request (workRequestId). If no work request is specified, then the drift status details correspond to the latest completed work request for the stack. For more information, see `Listing Drift Status`__.
- Parameters
stack_id (str) –
(required) The `OCID`__ of the stack.
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
work_request_id (str) –
(optional) The `OCID`__ of the work request.
resource_drift_status (list[StackResourceDriftSummaryResourceDriftStatus]) – (optional) A filter that returns only resources that match the given drift status. The value is case-insensitive.
limit (int) –
(optional) The number of items returned in a paginated List call. For information about pagination, see `List Pagination`__.
page (str) –
(optional) The value of the opc-next-page response header from the preceding List call. For information about pagination, see `List Pagination`__.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeStackResourceDriftCollection- Return type
- Example
Click here to see an example of how to use list_stack_resource_drift_details API.
- list_stacks(**kwargs)¶
Lists stacks according to the specified filter. For more information, see `Listing Stacks`__. - If called using the compartment ID, returns all stacks in the specified compartment. - If called using the stack ID, returns the specified stack. (See also
get_stack().)- Parameters
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
compartment_id (str) –
(optional) A filter to return only resources that exist in the compartment, identified by `OCID`__.
id (str) –
(optional) The `OCID`__ on which to query for a stack.
lifecycle_state (str) –
(optional) A filter that returns only those resources that match the specified lifecycle state. The state value is case-insensitive. For more information about stack lifecycle states, see `Key Concepts`__.
Allowed values are: “CREATING”, “ACTIVE”, “DELETING”, “DELETED”, “FAILED”
display_name (str) – (optional) A filter to return only resources that match the given display name exactly. Use this filter to list a resource by name. Requires sortBy set to DISPLAYNAME. Alternatively, when you know the resource OCID, use the related Get operation.
sort_by (str) –
(optional) The field to use when sorting returned resources. By default, TIMECREATED is ordered descending. By default, DISPLAYNAME is ordered ascending. Note that you can sort only on one field.
Allowed values are: “TIMECREATED”, “DISPLAYNAME”
sort_order (str) –
(optional) The sort order to use when sorting returned resources. Ascending (ASC) or descending (DESC).
Allowed values are: “ASC”, “DESC”
limit (int) –
(optional) The number of items returned in a paginated List call. For information about pagination, see `List Pagination`__.
page (str) –
(optional) The value of the opc-next-page response header from the preceding List call. For information about pagination, see `List Pagination`__.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type list ofStackSummary- Return type
- Example
Click here to see an example of how to use list_stacks API.
- list_template_categories(**kwargs)¶
Lists template categories. For more information, see `Listing Template Categories`__.
- Parameters
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeTemplateCategorySummaryCollection- Return type
- Example
Click here to see an example of how to use list_template_categories API.
- list_templates(**kwargs)¶
Lists templates according to the specified filter. The attributes compartmentId and templateCategoryId are required unless templateId is specified. For more information, see `Listing Templates`__.
- Parameters
opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
compartment_id (str) –
(optional) A filter to return only resources that exist in the compartment, identified by `OCID`__.
template_category_id (str) – (optional) Unique identifier for the template category. Possible values are 0 (Quickstarts), 1 (Service), 2 (Architecture), and 3 (Private). Template category labels are displayed in the Console page listing templates. Quickstarts, Service, and Architecture templates (categories 0, 1, and 2) are available in all compartments. Each private template (category 3) is available in the compartment where it was created.
template_id (str) –
(optional) The `OCID`__ of the template.
display_name (str) – (optional) A filter to return only resources that match the given display name exactly. Use this filter to list a resource by name. Requires sortBy set to DISPLAYNAME. Alternatively, when you know the resource OCID, use the related Get operation.
sort_by (str) –
(optional) The field to use when sorting returned resources. By default, TIMECREATED is ordered descending. By default, DISPLAYNAME is ordered ascending. Note that you can sort only on one field.
Allowed values are: “TIMECREATED”, “DISPLAYNAME”
sort_order (str) –
(optional) The sort order to use when sorting returned resources. Ascending (ASC) or descending (DESC).
Allowed values are: “ASC”, “DESC”
limit (int) –
(optional) The number of items returned in a paginated List call. For information about pagination, see `List Pagination`__.
page (str) –
(optional) The value of the opc-next-page response header from the preceding List call. For information about pagination, see `List Pagination`__.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
[...]
